🔒 Private label — contact sales. Requires a private-label entitlement on your API client.
Opt in to a fund
Security
oauth2ClientCredentials(Required scopes: investments:write)
- Mock serverhttps://developer.boyahq.com/_mock/v2/openapi/investments/opt-in
- Productionhttps://api.boyahq.com/v2/investments/opt-in
- Sandboxhttps://sandbox.api.boyahq.com/v2/investments/opt-in
curl -i -X POST \
https://developer.boyahq.com/_mock/v2/openapi/investments/opt-in \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
-H 'Content-Type: application/json' \
-H 'Idempotency-Key: string' \
-H 'business_id: string' \
-H 'org_wallet_ref: string' \
-d '{
"fund_id": "fund_britam_kes_mmf",
"amount": 100000,
"currency": "KES",
"accepted_terms": true
}'Response
{ "fund_account_id": "fa_01HXYZ...", "state": "opt_in_pending", "message": "opt-in approval requested" }